Issue #189 wontfix

Clash with xkvview package

denisbitouze
created an issue

Hi,

there is a clash between beamer class and xkvview package (from xkeyval bundle): {{{

!latex

\documentclass{beamer} \usepackage{xkvview} % \begin{document} \xkvview{} \end{document}

}}} leads to the following error:

{{{

!bash

! Argument of \beamer@sortzeroread has an extra }. <inserted text> \par l.7 \xkvview{} }}}

Replacing beamer by article, for instance, doesn't give any error.

Comments (3)

  1. Joseph Wright

    This occurs because some macros which xkeyval assumes are robust are not with beamer. The error arises because of \\, but there is a second due to \emph. Try

    \documentclass{beamer}
    \usepackage{xkvview}
    \begin{document}
    \protected\edef\\{\unexpanded\expandafter{\\}}
    \protected\edef\emph{\unexpanded\expandafter{\emph}}
    \xkvview{}
    \end{document}
    

    to get the example to compile.

    Regrettably, as I've noted in other bugs I cannot fix this without altering the behaviour of beamer in some way, and at this stage in the life of the class I don't feel altering things would be safe. This therefore has to go down as a 'known issue'. Sorry.

  2. Joseph Wright

    As I said, this is really a beamer issue, but one I can't really change: it is not the fault of xkeyval, as any package which assumes robustness from a range of macros will be affected.

  3. Log in to comment